Loading...
Searching...
No Matches
casacore::TableMeasType Class Reference
measures package (libcasa_measures) » TableMeasures_module » TableMeasures_module_internal_classes

More...

`#include <TableMeasType.h>`

## Public Member Functions

| TableMeasType ()
| TableMeasType (const Measure &)
| Construct from the given type of measure.
| TableMeasType (const TableMeasType &that)
| Copy constructor (copy semantics).
| ~TableMeasType ()
TableMeasType & | operator= (const TableMeasType &that)
| Assignment operator (copy semantics).
const String & | type () const
| Returns the descriptor's measure type as a String.
const String & | refType (uInt refCode) const
| Translates the refCode for the descriptors measure type.
uInt | refCode (const String &refString) const
| Returns the reference code for this object given a string.
void | toRecord (RecordInterface &rec)
| Creates a record from the MeasureHolder.

## Private Attributes

Int | itsNtypes
const String * | itsStypes
const uInt * | itsTyps
MeasureHolder | itsMeasHolder

## Detailed Description

Definition of a Measure column in a Table.

### Intended use:

Internal

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1999/12/23
Test programs:
  tTableMeasures

### Prerequisite

- Measures
- Tables

### Synopsis

This class is a helper class for TableMeasDescBase to know the type of measure it is dealing with.
It eases the process of converting reference codes to their strings and vice-versa. It also writes the measure type to a record to assist in making table measure definitions persistent.

### Example

Create the object for an epoch measure. TableMeasType mtype (MEpoch()); Get the code for the given string. uInt code = mtype.refCode ("UTC");

### Motivation

Creating the required keyword for the definition of a Measure in a Table is somewhat complicated. This class assists in that process.

Definition at line 83 of file TableMeasType.h.

## Constructor & Destructor Documentation

## TableMeasType() [1/3]

casacore::TableMeasType::TableMeasType | ( |  | ) |

Referenced by operator=(), and TableMeasType().

## TableMeasType() [2/3]

casacore::TableMeasType::TableMeasType | ( | const Measure & |  | ) |

explicit

Construct from the given type of measure.

## TableMeasType() [3/3]

casacore::TableMeasType::TableMeasType | ( | const TableMeasType & | that | ) |

Copy constructor (copy semantics).

References TableMeasType().

## ~TableMeasType()

casacore::TableMeasType::~TableMeasType | ( |  | ) |

## Member Function Documentation

## operator=()

TableMeasType & casacore::TableMeasType::operator= | ( | const TableMeasType & | that | ) |

Assignment operator (copy semantics).

References TableMeasType().

## refCode()

uInt casacore::TableMeasType::refCode | ( | const String & | refString | ) | const

Returns the reference code for this object given a string.

Throws an exception if the refString is invalid for this object.

Referenced by refType().

## refType()

const String & casacore::TableMeasType::refType | ( | uInt | refCode | ) | const

Translates the refCode for the descriptors measure type.

References refCode().

## toRecord()

void casacore::TableMeasType::toRecord | ( | RecordInterface & | rec | ) |

Creates a record from the MeasureHolder.

References casacore::RecordInterface().

## type()

const String & casacore::TableMeasType::type | ( |  | ) | const

Returns the descriptor's measure type as a String.

## Member Data Documentation

## itsMeasHolder

MeasureHolder casacore::TableMeasType::itsMeasHolder

private

Definition at line 116 of file TableMeasType.h.

## itsNtypes

Int casacore::TableMeasType::itsNtypes

private

Definition at line 113 of file TableMeasType.h.

## itsStypes

const String* casacore::TableMeasType::itsStypes

private

Definition at line 114 of file TableMeasType.h.

## itsTyps

const uInt* casacore::TableMeasType::itsTyps

private

Definition at line 115 of file TableMeasType.h.

The documentation for this class was generated from the following file:

- measures/TableMeasures/TableMeasType.h